Subject: Re: Problem with softlinks
From: [email-masked] (Olaf Seibert)
Date: Wed, 9 Feb 1994 10:26:43 GMT
Newsgroups: comp.sys.amiga.programmer

In <[email-masked]> [email-masked] (Thomas Sepstrup Nielsen) writes:
>The REAL PROBLEM is that I cannot delete the soft-link again.  I have
>tried just about everything (I think :).

As far as I've tried, you can't usually delete a softlink if it
does not point to something else (that you must be able to delete).
This seems to be because the Delete command locks the link to see if
it exists and is deletable. But of course it will lock the object
pointed to instead (if that exists).

The solution: use a program that bypasses all checks and just calls
the DOS function DeleteFile() (or whatever it was called). That works
just fine.

-Olaf.
--
___ Olaf 'Rhialto' Seibert       D787B44DFC896063 4CBB95A5BD1DAA96 
\X/ I can bicycle on both sides of the road - [email-masked]